Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.renderingcontrol
Class RenderingControlException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.teleal.cling.model.action.ActionException
                  org.teleal.cling.support.renderingcontrol.RenderingControlException

All Implemented Interfaces:
  Serializable

    public class RenderingControlException

extends org.teleal.cling.model.action.ActionException

See Also:
  Serialized Form

Constructor Summary
`RenderingControlException(org.teleal.cling.model.types.ErrorCode errorCode)`
`RenderingControlException(org.teleal.cling.model.types.ErrorCode errorCode, String message)`
`RenderingControlException(int errorCode, String message)`
`RenderingControlException(int errorCode, String message, Throwable cause)`
`RenderingControlException(RenderingControlErrorCode errorCode)`
`RenderingControlException(RenderingControlErrorCode errorCode, String message)`

Method Summary

Methods inherited from class org.teleal.cling.model.action.ActionException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RenderingControlException

    public RenderingControlException(int errorCode,
                                     String message)

### RenderingControlException

    public RenderingControlException(int errorCode,
                                     String message,
                                     Throwable cause)

### RenderingControlException

    public RenderingControlException(org.teleal.cling.model.types.ErrorCode errorCode,
                                     String message)

### RenderingControlException

    public RenderingControlException(org.teleal.cling.model.types.ErrorCode errorCode)

### RenderingControlException

    public RenderingControlException(RenderingControlErrorCode errorCode,
                                     String message)

### RenderingControlException

    public RenderingControlException(RenderingControlErrorCode errorCode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 Teleal GmbH, Switzerland. All Rights Reserved.